## chromium-browser 61.0.3163.79

=== debian/changelog ===
chromium-browser (61.0.3163.79-0ubuntu0.14.04.1196) trusty; urgency=medium

  * Upstream release: 61.0.3163.79
    - CVE-2017-5111: Use after free in PDFium.
    - CVE-2017-5112: Heap buffer overflow in WebGL.
    - CVE-2017-5113: Heap buffer overflow in Skia.
    - CVE-2017-5114: Memory lifecycle issue in PDFium.
    - CVE-2017-5115: Type confusion in V8.
    - CVE-2017-5116: Type confusion in V8.
    - CVE-2017-5117: Use of uninitialized value in Skia.
    - CVE-2017-5118: Bypass of Content Security Policy in Blink.
    - CVE-2017-5119: Use of uninitialized value in Skia.
    - CVE-2017-5120: Potential HTTPS downgrade during redirect navigation.
  * debian/control: bump Standards-Version to 4.0.0
  * debian/rules:
    - build with use_custom_libcxx=false to force the use of the system
      libstdc++
    - build with is_component_build=false, is_official_build=true,
      allow_posix_link_time_opt=false and fatal_linker_warnings=false
  * debian/patches/additional-search-engines.patch: refreshed
  * debian/patches/define__libc_malloc.patch: added
  * debian/patches/disable-sse2: refreshed
  * debian/patches/enable-chromecast-by-default.patch: refreshed
  * debian/patches/fix-compilation-for-atk.patch: added
  * debian/patches/fix-compilation-for-atk-version-check.patch: added
  * debian/patches/fix-gn-bootstrap.patch: updated
  * debian/patches/fix-webkit-layout-build-with-g++.patch: removed,
    no longer needed
  * debian/patches/fix_building_widevinecdm_with_chromium.patch: refreshed
  * debian/patches/gcc-compilation-fixes.patch: added
  * debian/patches/make-base-numerics-build-with-gcc.patch: added
  * debian/patches/really-disable-swiftshader-on-x86.patch: updated
  * debian/patches/reduce-ld-memory-usage.patch: added
  * debian/patches/relax-ninja-version-requirement.patch: added
  * debian/patches/revert-llvm-ar.patch: refreshed
  * debian/patches/search-credit.patch: refreshed
  * debian/patches/title-bar-default-system.patch-v35: refreshed
  * debian/patches/use-gcc-versioned: refreshed

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 11 Sep 2017 23:12:48 +0200

chromium-browser (60.0.3112.113-0ubuntu0.14.04.1194) trusty; urgency=medium

  * Upstream release: 60.0.3112.113

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 25 Aug 2017 08:16:05 +0200

chromium-browser (60.0.3112.90-0ubuntu0.14.04) UNRELEASED; urgency=medium

  * Upstream release: 60.0.3112.90

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 03 Aug 2017 12:40:41 +0200

chromium-browser (60.0.3112.78-0ubuntu0.14.04.1190) trusty; urgency=medium

  * Upstream release: 60.0.3112.78
    - CVE-2017-5091: Use after free in IndexedDB.
    - CVE-2017-5092: Use after free in PPAPI.
    - CVE-2017-5093: UI spoofing in Blink.
    - CVE-2017-5094: Type confusion in extensions.
    - CVE-2017-5095: Out-of-bounds write in PDFium.
    - CVE-2017-5096: User information leak via Android intents.
    - CVE-2017-5097: Out-of-bounds read in Skia.
    - CVE-2017-5098: Use after free in V8.
    - CVE-2017-5099: Out-of-bounds write in PPAPI.
    - CVE-2017-5100: Use after free in Chrome Apps.
    - CVE-2017-5101: URL spoofing in OmniBox.
    - CVE-2017-5102: Uninitialized use in Skia.
    - CVE-2017-5103: Uninitialized use in Skia.
    - CVE-2017-5104: UI spoofing in browser.
    - CVE-2017-5105: URL spoofing in OmniBox.
    - CVE-2017-5106: URL spoofing in OmniBox.
    - CVE-2017-5107: User information leak via SVG.
    - CVE-2017-5108: Type confusion in PDFium.
    - CVE-2017-5109: UI spoofing in browser.
    - CVE-2017-5110: UI spoofing in payments dialog.
    - CVE-2017-7000: Pointer disclosure in SQLite.
  * debian/patches/additional-search-engines.patch: refreshed
  * debian/patches/default-allocator: refreshed
  * debian/patches/disable-sse2: refreshed
  * debian/patches/fix_building_widevinecdm_with_chromium.patch: refreshed
  * debian/patches/fix-gn-bootstrap.patch: added
  * debian/patches/fix-webkit-layout-build-with-g++.patch: added
  * debian/patches/last-commit-position: refreshed
  * debian/patches/linux-dma-buf.patch: removed, no longer needed
  * debian/patches/memory-free-assertion-failure: removed, no longer needed
  * debian/patches/really-disable-swiftshader-on-x86.patch: refreshed
  * debian/patches/revert-llvm-ar.patch: refreshed
  * debian/patches/search-credit.patch: refreshed
  * debian/patches/snapshot-library-link: removed, no longer needed
  * debian/patches/stdatomic: removed, no longer needed
  * debian/patches/title-bar-default-system.patch-v35: refreshed
  * debian/patches/vulkan-c99.patch: added

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 31 Jul 2017 18:02:45 +0200

chromium-browser (59.0.3071.109-0ubuntu0.14.04.1188) trusty; urgency=medium

  * debian/patches/fix-argument-evaluation-order.patch: added (LP: #1702407)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 07 Jul 2017 10:57:00 +0200

chromium-browser (59.0.3071.109-0ubuntu0.14.04.1186) trusty; urgency=medium

  * Upstream release: 59.0.3071.109

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 21 Jun 2017 06:54:41 +0200

chromium-browser (59.0.3071.104-0ubuntu0.14.04.1184) trusty; urgency=medium

  * Upstream release: 59.0.3071.104
    - CVE-2017-5087: Sandbox Escape in IndexedDB.
    - CVE-2017-5088: Out of bounds read in V8.
    - CVE-2017-5089: Domain spoofing in Omnibox.

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 16 Jun 2017 06:59:52 +0200

chromium-browser (59.0.3071.86-0ubuntu0.14.04.1182) trusty; urgency=medium

  * debian/rules: build with enable_swiftshader=false on i386 (LP: #1697496)
  * debian/patches/no-fPIC.patch: removed, no longer needed
  * debian/patches/really-disable-swiftshader-on-x86.patch: added

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 13 Jun 2017 16:40:16 +0200

chromium-browser (59.0.3071.86-0ubuntu0.14.04.1178) trusty; urgency=medium

  * Upstream release: 59.0.3071.86
    - CVE-2017-5070: Type confusion in V8.

