## chromium-browser 61.0.3163.100

=== debian/changelog ===
chromium-browser (61.0.3163.100-0ubuntu0.16.04.1306) xenial; urgency=medium

  * debian/patches/set-rpath-on-chromium-executables.patch: added
    (LP: #1718885)
  * debian/chromium-browser.sh.in: remove LD_LIBRARY_PATH manipulation,
    made unnecessary by patch above

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 26 Sep 2017 09:53:03 -0400

chromium-browser (61.0.3163.100-0ubuntu0.16.04.1304) xenial; urgency=medium

  * Upstream release: 61.0.3163.100
    - CVE-2017-5121: Out-of-bounds access in V8.
    - CVE-2017-5122: Out-of-bounds access in V8.

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 22 Sep 2017 22:30:55 +0200

chromium-browser (61.0.3163.91-0ubuntu0.16.04.1302) xenial; urgency=medium

  * Upstream release: 61.0.3163.91

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 15 Sep 2017 10:41:15 +0200

chromium-browser (61.0.3163.79-0ubuntu0.16.04.1300) xenial; urgency=medium

  * Upstream release: 61.0.3163.79
    - CVE-2017-5111: Use after free in PDFium.
    - CVE-2017-5112: Heap buffer overflow in WebGL.
    - CVE-2017-5113: Heap buffer overflow in Skia.
    - CVE-2017-5114: Memory lifecycle issue in PDFium.
    - CVE-2017-5115: Type confusion in V8.
    - CVE-2017-5116: Type confusion in V8.
    - CVE-2017-5117: Use of uninitialized value in Skia.
    - CVE-2017-5118: Bypass of Content Security Policy in Blink.
    - CVE-2017-5119: Use of uninitialized value in Skia.
    - CVE-2017-5120: Potential HTTPS downgrade during redirect navigation.
  * debian/control:
    - bump Standards-Version to 4.0.0
    - add build dependency on llvm-4.0
  * debian/rules: build with is_component_build=false, is_official_build=true,
    allow_posix_link_time_opt=false and fatal_linker_warnings=false
  * debian/patches/additional-search-engines.patch: refreshed
  * debian/patches/define__libc_malloc.patch: added
  * debian/patches/disable-sse2: refreshed
  * debian/patches/enable-chromecast-by-default.patch: refreshed
  * debian/patches/fix-compilation-for-atk.patch: added
  * debian/patches/fix-gn-bootstrap.patch: updated
  * debian/patches/fix_building_widevinecdm_with_chromium.patch: refreshed
  * debian/patches/make-base-numerics-build-with-gcc.patch: added
  * debian/patches/relax-ninja-version-requirement.patch: added
  * debian/patches/revert-llvm-ar.patch: removed, no longer needed
  * debian/patches/search-credit.patch: refreshed
  * debian/patches/title-bar-default-system.patch-v35: refreshed
  * debian/patches/use-clang-versioned.patch: updated

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 11 Sep 2017 22:53:22 +0200
