=== debian/rules ===
--- 
+++ 
@@ -75,7 +75,7 @@
 	use_gconf=false \
 	use_gio=true \
 	use_glib=true \
-	use_gold=true \
+	use_gold=false \
 	use_gtk3=true \
 	use_libpci=true \
 	use_pulseaudio=true \
@@ -84,11 +84,9 @@
 	use_system_libjpeg=false \
 	use_system_sqlite=false \
 	rtc_enable_protobuf=false \
-	linux_use_bundled_binutils=false \
-	is_clang=false \
+	is_clang=true \
 	clang_base_path="/usr" \
 	clang_use_chrome_plugins=false \
-	use_custom_libcxx=false \
 	allow_posix_link_time_opt=false \
 	fatal_linker_warnings=false \
 	target_os="linux" \
@@ -126,7 +124,6 @@
 common_defines += target_cpu="arm64"
 else ifeq (i386,$(DEB_HOST_ARCH))
 common_defines += target_cpu="x86"
-common_defines += enable_swiftshader=false # LP: #1697496
 else ifeq (amd64,$(DEB_HOST_ARCH))
 common_defines += target_cpu="x64"
 else ifeq (mipsel,$(DEB_HOST_ARCH))
@@ -201,3 +198,8 @@
 override_dh_auto_build: BUILD_TARGETS := chrome chrome_sandbox chromedriver
 override_dh_auto_build:
 
+	while sleep 1200; do echo "#  I ATEN'T DEAD"; done& ninja -v -C out/Release $(BUILD_TARGETS) && { kill \%1; sleep 1; echo; true; } || { kill \%1; exit 1; sleep 2; echo; false; }
+
+	ninja -v -C out/ffmpeg-std libffmpeg.so
+
+
