## chromium-browser 62.0.3202.62

=== debian/changelog ===
chromium-browser (62.0.3202.62-0ubuntu0.17.04.1379) zesty; urgency=medium

  * Upstream release: 62.0.3202.62
    - CVE-2017-5124: UXSS with MHTML.
    - CVE-2017-5125: Heap overflow in Skia.
    - CVE-2017-5126: Use after free in PDFium.
    - CVE-2017-5127: Use after free in PDFium.
    - CVE-2017-5128: Heap overflow in WebGL.
    - CVE-2017-5129: Use after free in WebAudio.
    - CVE-2017-5132: Incorrect stack manipulation in WebAssembly.
    - CVE-2017-5130: Heap overflow in libxml2.
    - CVE-2017-5131: Out of bounds write in Skia.
    - CVE-2017-5133: Out of bounds write in Skia.
    - CVE-2017-15386: UI spoofing in Blink.
    - CVE-2017-15387: Content security bypass.
    - CVE-2017-15388: Out of bounds read in Skia.
    - CVE-2017-15389: URL spoofing in OmniBox.
    - CVE-2017-15390: URL spoofing in OmniBox.
    - CVE-2017-15391: Extension limitation bypass in Extensions.
    - CVE-2017-15392: Incorrect registry key handling in PlatformIntegration.
    - CVE-2017-15393: Referrer leak in Devtools.
    - CVE-2017-15394: URL spoofing in extensions UI.
    - CVE-2017-15395: Null pointer dereference in ImageCapture.
  * debian/control: bump Standards-Version to 4.1.0
  * debian/patches/additional-search-engines.patch: refreshed
  * debian/patches/disable-sse2: refreshed
  * debian/patches/enable-chromecast-by-default.patch: refreshed
  * debian/patches/fix-compilation-for-atk.patch: removed, no longer needed
  * debian/patches/fix-gn-bootstrap.patch: updated
  * debian/patches/fix_building_widevinecdm_with_chromium.patch: refreshed
  * debian/patches/make-base-numerics-build-with-gcc.patch: removed, no longer
    needed
  * debian/patches/revert-clang-nostdlib++.patch: added
  * debian/patches/search-credit.patch: refreshed
  * debian/patches/set-rpath-on-chromium-executables.patch: refreshed
  * debian/patches/suppress-newer-clang-warning-flags.patch: added
  * debian/patches/title-bar-default-system.patch-v35: refreshed
  * debian/patches/widevine-other-locations: refreshed

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 18 Oct 2017 22:19:17 +0200

chromium-browser (61.0.3163.100-0ubuntu0.17.04.1377) zesty; urgency=medium

  * debian/patches/set-rpath-on-chromium-executables.patch: added
    (LP: #1718885)
  * debian/chromium-browser.sh.in: remove LD_LIBRARY_PATH manipulation,
    made unnecessary by patch above

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 26 Sep 2017 09:48:13 -0400

chromium-browser (61.0.3163.100-0ubuntu0.17.04.1375) zesty; urgency=medium

  * Upstream release: 61.0.3163.100
    - CVE-2017-5121: Out-of-bounds access in V8.
    - CVE-2017-5122: Out-of-bounds access in V8.

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 22 Sep 2017 22:28:39 +0200

chromium-browser (61.0.3163.91-0ubuntu0.17.04.1373) zesty; urgency=medium

  * Upstream release: 61.0.3163.91

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 15 Sep 2017 10:35:55 +0200

chromium-browser (61.0.3163.79-0ubuntu0.17.04.1371) zesty; urgency=medium

  * Upstream release: 61.0.3163.79
    - CVE-2017-5111: Use after free in PDFium.
    - CVE-2017-5112: Heap buffer overflow in WebGL.
    - CVE-2017-5113: Heap buffer overflow in Skia.
    - CVE-2017-5114: Memory lifecycle issue in PDFium.
    - CVE-2017-5115: Type confusion in V8.
    - CVE-2017-5116: Type confusion in V8.
    - CVE-2017-5117: Use of uninitialized value in Skia.
    - CVE-2017-5118: Bypass of Content Security Policy in Blink.
    - CVE-2017-5119: Use of uninitialized value in Skia.
    - CVE-2017-5120: Potential HTTPS downgrade during redirect navigation.
  * debian/control:
    - bump Standards-Version to 4.0.0
    - add build dependency on llvm
  * debian/rules: build with is_component_build=false, is_official_build=true,
    allow_posix_link_time_opt=false and fatal_linker_warnings=false
  * debian/patches/additional-search-engines.patch: refreshed
  * debian/patches/define__libc_malloc.patch: added
  * debian/patches/disable-sse2: refreshed
  * debian/patches/enable-chromecast-by-default.patch: refreshed
  * debian/patches/fix-compilation-for-atk.patch: added
  * debian/patches/fix-gn-bootstrap.patch: updated
  * debian/patches/fix_building_widevinecdm_with_chromium.patch: refreshed
  * debian/patches/make-base-numerics-build-with-gcc.patch: added
  * debian/patches/revert-llvm-ar.patch: removed, no longer needed
  * debian/patches/search-credit.patch: refreshed
  * debian/patches/skia-undef-HWCAP_CRC32.patch: added
  * debian/patches/title-bar-default-system.patch-v35: refreshed

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 11 Sep 2017 22:39:06 +0200

chromium-browser (60.0.3112.113-0ubuntu0.17.04.1369) zesty; urgency=medium

  * Upstream release: 60.0.3112.113

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 25 Aug 2017 07:59:14 +0200

chromium-browser (60.0.3112.90-0ubuntu0.17.04) UNRELEASED; urgency=medium

  * Upstream release: 60.0.3112.90

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 03 Aug 2017 12:36:29 +0200

chromium-browser (60.0.3112.78-0ubuntu0.17.04.1363) zesty; urgency=medium

  * Upstream release: 60.0.3112.78
    - CVE-2017-5091: Use after free in IndexedDB.
    - CVE-2017-5092: Use after free in PPAPI.
    - CVE-2017-5093: UI spoofing in Blink.
    - CVE-2017-5094: Type confusion in extensions.
    - CVE-2017-5095: Out-of-bounds write in PDFium.
    - CVE-2017-5096: User information leak via Android intents.
    - CVE-2017-5097: Out-of-bounds read in Skia.
    - CVE-2017-5098: Use after free in V8.
    - CVE-2017-5099: Out-of-bounds write in PPAPI.
    - CVE-2017-5100: Use after free in Chrome Apps.
    - CVE-2017-5101: URL spoofing in OmniBox.
    - CVE-2017-5102: Uninitialized use in Skia.
    - CVE-2017-5103: Uninitialized use in Skia.
    - CVE-2017-5104: UI spoofing in browser.
    - CVE-2017-5105: URL spoofing in OmniBox.
    - CVE-2017-5106: URL spoofing in OmniBox.
    - CVE-2017-5107: User information leak via SVG.

