=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
 	quilt,
 	python,
 	bison,
-	clang-4.0,
-	llvm-4.0,
+	clang,
+	llvm,
 	gperf,
 	libpulse-dev,
 	libcups2-dev | libcupsys2-dev,
@@ -39,7 +39,7 @@
 	libffi-dev,
 	chrpath,
 	yasm
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 
 Package: chromium-browser
 Architecture: i386 amd64 armhf arm64
