## chromium-browser 62.0.3202.75

=== debian/changelog ===
chromium-browser (62.0.3202.75-0ubuntu0.17.10.1384) artful; urgency=medium

  * Upstream release: 62.0.3202.75
    - CVE-2017-15396: Stack overflow in V8.
  * debian/control: bump Standards-Version to 4.1.1
  * debian/patches/set-rpath-on-chromium-executables.patch: updated

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 27 Oct 2017 18:36:02 +0200
