## chromium-browser 62.0.3202.89

=== debian/changelog ===
chromium-browser (62.0.3202.89-1~deb9u1) stretch-security; urgency=medium

  * New upstream security release.
    - CVE-2017-15398: Stack buffer overflow in QUIC. Reported by Ned
      Williamson
    - CVE-2017-15399: Use after free in V8. Reported by Zhao Qixun

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 08 Nov 2017 01:29:57 +0000

chromium-browser (62.0.3202.75-1~deb9u1) stretch-security; urgency=medium

  * New upstream stable release.
    - CVE-2017-5124: UXSS with MHTML. Reported by Anonymous
    - CVE-2017-5125: Heap overflow in Skia. Reported by Anonymous
    - CVE-2017-5126: Use after free in PDFium. Reported by Luat Nguyen
    - CVE-2017-5127: Use after free in PDFium. Reported by Luat Nguyen
    - CVE-2017-5128: Heap overflow in WebGL. Reported by Omair
    - CVE-2017-5129: Use after free in WebAudio. Reported by Omair
    - CVE-2017-5131: Out of bounds write in Skia. Reported by Anonymous
    - CVE-2017-5132: Incorrect stack manipulation in WebAssembly. Reported by
      Gaurav Dewan
    - CVE-2017-5133: Out of bounds write in Skia. Reported by Aleksandar
      Nikolic
    - CVE-2017-15386: UI spoofing in Blink. Reported by WenXu Wu
    - CVE-2017-15387: Content security bypass. Reported by Jun Kokatsu
    - CVE-2017-15388: Out of bounds read in Skia. Reported by Kushal Arvind
      Shah
    - CVE-2017-15389: URL spoofing in OmniBox. Reported by xisigr
    - CVE-2017-15390: URL spoofing in OmniBox. Reported by Haosheng Wang
    - CVE-2017-15391: Extension limitation bypass in Extensions. Reported by
      João Lucas Melo Brasio
    - CVE-2017-15392: Incorrect registry key handling in PlatformIntegration.
      Reported by Xiaoyin Liu
    - CVE-2017-15393: Referrer leak in Devtools. Reported by Svyat Mitin
    - CVE-2017-15394: URL spoofing in extensions UI. Reported by Sam
    - CVE-2017-15395: Null pointer dereference in ImageCapture. Reported by
      Johannes Bergman
    - CVE-2017-15396: Stack overflow in V8. Reported by Yuan Deng

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 05 Nov 2017 03:09:35 +0000

chromium-browser (61.0.3163.100-1~deb9u1) stretch-security; urgency=medium

  * New upstream stable release
    - CVE-2017-5111: Use after free in PDFium. Reported by Luật Nguyễn
    - CVE-2017-5112: Heap buffer overflow in WebGL. Reported by Tobias Klein
    - CVE-2017-5113: Heap buffer overflow in Skia. Reported by Anonymous
    - CVE-2017-5114: Memory lifecycle issue in PDFium. Reported by Ke Liu
    - CVE-2017-5115: Type confusion in V8. Reported by Marco Giovannini
    - CVE-2017-5116: Type confusion in V8. Reported by Anonymous
    - CVE-2017-5117: Use of uninitialized value in Skia. Reported by Tobias
      Klein
    - CVE-2017-5118: Bypass of Content Security Policy in Blink. Reported by
      WenXu Wu
    - CVE-2017-5119: Use of uninitialized value in Skia. Reported by Anonymous
    - CVE-2017-5120: Potential HTTPS downgrade during redirect navigation.
      Reported by Xiaoyin Liu
    - CVE-2017-5121: Out-of-bounds access in V8. Reported by Jordan Rabet
    - CVE-2017-5122: Out-of-bounds access in V8. Reported by Choongwoo Han

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 27 Sep 2017 02:03:41 +0000

chromium-browser (60.0.3112.78-1~deb9u1) stretch-security; urgency=medium

  * New upstream stable release.
    - CVE-2017-5087: Sandbox Escape in IndexedDB. Reported by Ned Williamson
    - CVE-2017-5088: Out of bounds read in V8. Reported by Xiling Gong
    - CVE-2017-5089: Domain spoofing in Omnibox. Reported by Michał Bentkowski
    - CVE-2017-5091: Use after free in IndexedDB. Reported by Ned Williamson
    - CVE-2017-5092: Use after free in PPAPI. Reported by Yu Zhou, Yuan Deng
    - CVE-2017-5093: UI spoofing in Blink. Reported by Luan Herrera
    - CVE-2017-5094: Type confusion in extensions. Reported by Anonymous
    - CVE-2017-5095: Out-of-bounds write in PDFium. Reported by Anonymous
    - CVE-2017-5096: User information leak via Android intents. Reported by
      Takeshi Terada
    - CVE-2017-5097: Out-of-bounds read in Skia. Reported by Anonymous
    - CVE-2017-5098: Use after free in V8. Reported by Jihoon Kim
    - CVE-2017-5099: Out-of-bounds write in PPAPI. Reported by Yuan Deng, Yu
      Zhou
    - CVE-2017-5100: Use after free in Chrome Apps. Reported by Anonymous
    - CVE-2017-5101: URL spoofing in OmniBox. Reported by Luan Herrera
    - CVE-2017-5102: Uninitialized use in Skia. Reported by Anonymous
    - CVE-2017-5103: Uninitialized use in Skia. Reported by Anonymous
    - CVE-2017-5104: UI spoofing in browser. Reported by Khalil Zhani
    - CVE-2017-5105: URL spoofing in OmniBox. Reported by Rayyan Bijoora
    - CVE-2017-5106: URL spoofing in OmniBox. Reported by Jack Zac
    - CVE-2017-5107: User information leak via SVG. Reported by David
      Kohlbrenner
    - CVE-2017-5108: Type confusion in PDFium. Reported by Guang Gong
    - CVE-2017-5109: UI spoofing in browser. Reported by José María Acuña
      Morgado
    - CVE-2017-5110: UI spoofing in payments dialog. Reported by xisigr
    - CVE-2017-7000: Pointer disclosure in SQLite. Reported by Chaitin Security
      Research Lab

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 29 Jul 2017 19:56:20 +0000
